Bug 253514 - named needs read-only access to /etc/krb5.conf
Summary: named needs read-only access to /etc/krb5.conf
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-20 12:16 UTC by Adam Tkac
Modified: 2013-04-30 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 13:39:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Tkac 2007-08-20 12:16:56 UTC
Description of problem:
when configured named to use GSS-TSIG based authentication (Kerberos based
authentication) SELinux doesn't allow named to start

Version-Release number of selected component (if applicable):
rpm -q selinux-policy
selinux-policy-3.0.5-8.fc8
  
Actual results:
Aug 20 14:11:40 devel kernel: audit(1187611900.398:5): avc:  denied  { getattr }
for  pid=1709 comm="named" name="krb5.conf" dev=xvda1 ino=131125
scontext=root:system_r:named_t:s0 tcontext=system_u:object_r:krb5_conf_t:s0
tclass=file
Aug 20 14:11:40 devel kernel: audit(1187611900.398:6): avc:  denied  { getattr }
for  pid=1709 comm="named" name="krb5.conf" dev=xvda1 ino=131125
scontext=root:system_r:named_t:s0 tcontext=system_u:object_r:krb5_conf_t:s0
tclass=file

Expected results:
no intereception

Additional info:
I will provide testcase if needed

Comment 1 Daniel Walsh 2007-08-20 19:23:55 UTC
Fixed in selinux-policy-3.0.5-9.fc8

Comment 2 Adam Tkac 2007-08-22 13:39:28 UTC
Works as expected. Thanks


Note You need to log in before you can comment on or make changes to this bug.